Page MenuHomePhabricator

Selenium framework cleanup
Open, MediumPublic

Description

TODO

  • update list of repos
  • update files used in all repos (.gitignore, package.json, .eslintrc.json, wdio.conf.js, README.md)

Files

Repositories

(Check if the below list is correct, the canonical list is at Selenium/Reference/Example_Code.)

  • mediawiki/core
  • mediawiki/extensions/AbuseFilter
  • mediawiki/extensions/AdvancedSearch
  • mediawiki/extensions/CirrusSearch:
    • tests/integration
    • tests/selenium
  • mediawiki/extensions/Cite
  • mediawiki/extensions/ContentTranslation
  • mediawiki/extensions/Echo
  • mediawiki/extensions/ElectronPdfService
  • mediawiki/extensions/EntitySchema
  • mediawiki/extensions/FileImporter
  • mediawiki/extensions/GrowthExperiments
  • mediawiki/extensions/Math
  • mediawiki/extensions/MobileFrontend
  • mediawiki/extensions/Newsletter
  • mediawiki/extensions/ORES
  • mediawiki/extensions/Popups
  • mediawiki/extensions/ProofreadPage
  • mediawiki/extensions/RelatedArticles
  • mediawiki/extensions/RevisionSlider
  • mediawiki/extensions/TemplateWizard
  • mediawiki/extensions/TwoColConflict
  • mediawiki/extensions/Wikibase
  • mediawiki/extensions/WikibaseLexeme
  • mediawiki/extensions/WikibaseMediaInfo
  • mediawiki/skins/MinervaNeue
  • phab-deployment
  • wikibase/termbox
  • wikidata/query/gui
  • wikimedia/portals/deploy

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptNov 29 2018, 1:21 PM
zeljkofilipin triaged this task as Medium priority.Nov 29 2018, 1:21 PM
zeljkofilipin moved this task from Inbox to Selenium on the MediaWiki-Core-Testing board.
zeljkofilipin updated the task description. (Show Details)

Change 499211 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Echo@master] Selenium: update and simplify README

https://gerrit.wikimedia.org/r/499211

Change 499211 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Selenium: update and simplify README

https://gerrit.wikimedia.org/r/499211

zeljkofilipin renamed this task from Update package.json, tests/selenium/wdio.conf.js, tests/selenium/README.md to Update files required by Selenium in core, extensions and skins.Jul 16 2019, 1:21 PM
Restricted Application added a subscriber: Masumrezarock100. ยท View Herald TranscriptOct 30 2019, 3:16 PM

Change 572916 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/skins/MinervaNeue@master] Selenium: update configuration and readme files

https://gerrit.wikimedia.org/r/572916

Change 574779 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/GrowthExperiments@master] Selenium: record videos of all tests

https://gerrit.wikimedia.org/r/574779

Change 574779 abandoned by Zfilipin:
Selenium: record videos of all tests

Reason:
moved to https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /578370

https://gerrit.wikimedia.org/r/574779

Change 572916 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Selenium: update README.md file

https://gerrit.wikimedia.org/r/572916

zeljkofilipin renamed this task from Update files required by Selenium in core, extensions and skins to Selenium framework cleanup.Aug 31 2020, 11:14 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
Soham claimed this task.Sep 8 2020, 6:36 PM
zeljkofilipin moved this task from Backlog to In Progress on the User-Soham board.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed Soham as the assignee of this task.Oct 19 2020, 9:27 AM
zeljkofilipin moved this task from In Progress to Backlog on the User-Soham board.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Nov 9 2020, 4:45 PM